<template>
  <section
    role="dialog"
    tabindex="-1"
    aria-modal="true"
    aria-labelledby="modal-heading-01"
    class="slds-modal slds-fade-in-open"
  >
    <div
      class="slds-modal__container movie-modal-style slds-var-p-around_medium"
    >
      <div
        class="slds-modal__content slds-var-p-around_small modal-grey"
        style="overflow: initial"
      >
        <!-- Movie static image -->
        <div class="slds-align_absolute-center">
          <img
            style="height: 400px"
            class="slds-var-p-horizontal_small"
            src={movieAvatar}
          />
        </div>

        <div class="slds-form slds-var-p-around_x-large">
          <!-- name -->
          <div
            class="slds-form-element slds-form-element_horizontal slds-var-p-horizontal_small"
          >
            <label class="slds-form-element__label" for="horizontal-input-id-01"
              >Name</label
            >
            <div class="slds-form-element__control">
              <lightning-input
                name="movieName"
                label="movieName"
                variant="label-hidden"
                value={newMovie.name}
                type="text"
                id="horizontal-input-id-01"
                onchange={handMovieInfochange}
                placeholder="Movie Name"
              ></lightning-input>
            </div>
          </div>

          <!-- type -->
          <div class="slds-form-element slds-form-element_horizontal">
            <label class="slds-form-element__label" for="horizontal-input-id-02"
              >Type</label
            >
            <div class="slds-form-element__control">
              <lightning-combobox
                id="horizontal-input-id-02"
                name="movieCategory"
                value={newMovie.category}
                variant="label-hidden"
                onchange={handMovieInfochange}
                placeholder="Select Progress"
                options={categoriesOptions}
              ></lightning-combobox>
            </div>
          </div>

          <div class="slds-form-element slds-form-element_horizontal">
            <label class="slds-form-element__label" for="rdate"
              >Release Date</label
            >
            <div class="slds-form-element__control">
              <input
                name="movieRealseDate"
                type="date"
                onchange={handMovieInfochange}
                id="rdate"
                value={newMovie.releaseDate}
              />
            </div>
          </div>

          <!-- description -->
          <div class="slds-form-element slds-form-element_horizontal">
            <label class="slds-form-element__label" for="horizontal-input-id-03"
              >Description</label
            >
            <div class="slds-form-element__control">
              <lightning-textarea
                name="movieDescription"
                value={newMovie.description}
                id="horizontal-input-id-03"
                onchange={handMovieInfochange}
                label="Description"
                variant="label-hidden"
              ></lightning-textarea>
            </div>
          </div>

          <!-- selected actors list -->
          <div
            if:true={selectedActorsList.length}
            class="slds-form-element slds-form-element_horizontal"
          >
            <label class="slds-form-element__label" style="display: none"
              >ACTORS_LIST</label
            >
            <template for:each={selectedActorsList} for:item="actor">
              <div
                class="slds-form-element__control slds-var-m-bottom_x-small slds-grid"
                key={actor.value}
              >
                <div
                  class="actor-name-holder slds-grow slds-var-p-around_xx-small slds-var-m-right_small"
                >
                  {actor.label}
                </div>
                <lightning-button-icon
                  icon-name="utility:dash"
                  data-id={actor.value}
                  onclick={handleDeselectActor}
                >
                </lightning-button-icon>
              </div>
            </template>
          </div>

          <!-- actors -->
          <div class="slds-form-element slds-form-element_horizontal">
            <label class="slds-form-element__label" for="horizontal-input-id-04"
              >Actors</label
            >
            <div class="slds-form-element__control">
              <div
                class="slds-combobox__form-element slds-input-has-icon slds-input-has-icon_right"
                role="none"
              >
                <div class="slds-form-element__control slds-grid">
                  <lightning-combobox
                    class="actor-select slds-grow slds-var-m-right_small"
                    variant="label-hidden"
                    placeholder="Select actor"
                    options={availableActors}
                  >
                  </lightning-combobox>
                  <lightning-button-icon
                    icon-name="utility:add"
                    onclick={handleActorSelection}
                  ></lightning-button-icon>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="slds-grid slds-grid_align-end">
          <button
            class="slds-button slds-button_brand slds-col"
            onclick={handlesave}
            disabled={cannotCreate}
          >
            Save
          </button>
          <button
            class="slds-button slds-button_neutral slds-col"
            onclick={cancelCreation}
          >
            Cancel
          </button>
        </div>
      </div>
    </div>
  </section>
</template>
